### Property

# Gdk Device:direction

since: 4.0

#### Declaration

    property direction: Pango.Direction [ read ]

#### Description [src]

The direction of the current layout.

This is only relevant for keyboard devices.

Type: | `PangoDirection`
Available since: | 4.0

Default value | PANGO_DIRECTION_NEUTRAL
Getter method | `gdk_device_get_direction()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no